-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 04, 2024 at 02:40 AM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.0.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `demo_bp_blood_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_blood_sugar_reading`
--

CREATE TABLE `tbl_blood_sugar_reading` (
  `blood_sugar_reading_id` int(11) NOT NULL,
  `patient_id` int(11) NOT NULL,
  `glucose_level` decimal(5,2) NOT NULL,
  `reading_type` enum('Fasting','Postprandial','Random') NOT NULL,
  `reading_date` datetime NOT NULL,
  `comments` text DEFAULT NULL,
  `clinic_personnel_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_bp_reading`
--

CREATE TABLE `tbl_bp_reading` (
  `bp_reading_id` int(11) NOT NULL,
  `patient_id` int(11) NOT NULL,
  `systolic` int(11) NOT NULL,
  `diastolic` int(11) NOT NULL,
  `pulse` int(11) DEFAULT NULL,
  `reading_date` datetime NOT NULL,
  `comments` text DEFAULT NULL,
  `clinic_personnel_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_clinic_personnel`
--

CREATE TABLE `tbl_clinic_personnel` (
  `clinic_personnel_id` int(11) NOT NULL,
  `complete_name` varchar(255) NOT NULL,
  `designation` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_lifestyle_factor`
--

CREATE TABLE `tbl_lifestyle_factor` (
  `lifestyle_factor_id` int(11) NOT NULL,
  `patient_id` int(11) NOT NULL,
  `lifestyle_factor_info` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_patient`
--

CREATE TABLE `tbl_patient` (
  `patient_id` int(11) NOT NULL,
  `patient_type_id` int(11) NOT NULL,
  `complete_name` varchar(255) NOT NULL,
  `birth_date` date NOT NULL,
  `gender` enum('Male','Female','Other') NOT NULL,
  `email_address` varchar(255) DEFAULT NULL,
  `phone_number` varchar(20) DEFAULT NULL,
  `complete_address` text DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_patient_type`
--

CREATE TABLE `tbl_patient_type` (
  `patient_type_id` int(11) NOT NULL,
  `patient_type_name` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_blood_sugar_reading`
--
ALTER TABLE `tbl_blood_sugar_reading`
  ADD PRIMARY KEY (`blood_sugar_reading_id`),
  ADD KEY `patient_id` (`patient_id`),
  ADD KEY `clinic_personnel_id` (`clinic_personnel_id`);

--
-- Indexes for table `tbl_bp_reading`
--
ALTER TABLE `tbl_bp_reading`
  ADD PRIMARY KEY (`bp_reading_id`),
  ADD KEY `patient_id` (`patient_id`),
  ADD KEY `clinic_personnel_id` (`clinic_personnel_id`);

--
-- Indexes for table `tbl_clinic_personnel`
--
ALTER TABLE `tbl_clinic_personnel`
  ADD PRIMARY KEY (`clinic_personnel_id`);

--
-- Indexes for table `tbl_lifestyle_factor`
--
ALTER TABLE `tbl_lifestyle_factor`
  ADD PRIMARY KEY (`lifestyle_factor_id`),
  ADD KEY `patient_id` (`patient_id`);

--
-- Indexes for table `tbl_patient`
--
ALTER TABLE `tbl_patient`
  ADD PRIMARY KEY (`patient_id`),
  ADD KEY `patient_type_id` (`patient_type_id`);

--
-- Indexes for table `tbl_patient_type`
--
ALTER TABLE `tbl_patient_type`
  ADD PRIMARY KEY (`patient_type_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_blood_sugar_reading`
--
ALTER TABLE `tbl_blood_sugar_reading`
  MODIFY `blood_sugar_reading_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_bp_reading`
--
ALTER TABLE `tbl_bp_reading`
  MODIFY `bp_reading_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_clinic_personnel`
--
ALTER TABLE `tbl_clinic_personnel`
  MODIFY `clinic_personnel_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_lifestyle_factor`
--
ALTER TABLE `tbl_lifestyle_factor`
  MODIFY `lifestyle_factor_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_patient`
--
ALTER TABLE `tbl_patient`
  MODIFY `patient_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_patient_type`
--
ALTER TABLE `tbl_patient_type`
  MODIFY `patient_type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_blood_sugar_reading`
--
ALTER TABLE `tbl_blood_sugar_reading`
  ADD CONSTRAINT `tbl_blood_sugar_reading_ibfk_1` FOREIGN KEY (`patient_id`) REFERENCES `tbl_patient` (`patient_id`),
  ADD CONSTRAINT `tbl_blood_sugar_reading_ibfk_2` FOREIGN KEY (`clinic_personnel_id`) REFERENCES `tbl_clinic_personnel` (`clinic_personnel_id`);

--
-- Constraints for table `tbl_bp_reading`
--
ALTER TABLE `tbl_bp_reading`
  ADD CONSTRAINT `tbl_bp_reading_ibfk_1` FOREIGN KEY (`patient_id`) REFERENCES `tbl_patient` (`patient_id`),
  ADD CONSTRAINT `tbl_bp_reading_ibfk_2` FOREIGN KEY (`clinic_personnel_id`) REFERENCES `tbl_clinic_personnel` (`clinic_personnel_id`);

--
-- Constraints for table `tbl_lifestyle_factor`
--
ALTER TABLE `tbl_lifestyle_factor`
  ADD CONSTRAINT `tbl_lifestyle_factor_ibfk_1` FOREIGN KEY (`patient_id`) REFERENCES `tbl_patient` (`patient_id`);

--
-- Constraints for table `tbl_patient`
--
ALTER TABLE `tbl_patient`
  ADD CONSTRAINT `tbl_patient_ibfk_1` FOREIGN KEY (`patient_type_id`) REFERENCES `tbl_patient_type` (`patient_type_id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
